summaryrefslogtreecommitdiff
path: root/src/hub/test-bolt
diff options
context:
space:
mode:
Diffstat (limited to 'src/hub/test-bolt')
-rwxr-xr-xsrc/hub/test-bolt14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/hub/test-bolt b/src/hub/test-bolt
new file mode 100755
index 0000000..7ac3dd2
--- /dev/null
+++ b/src/hub/test-bolt
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+TEST_D="./test"
+
+BIN="$(go env GOPATH)/bin/bolt"
+if [ ! -x "$BIN" ]; then
+ echo "bolt not found. Please run:"
+ echo ""
+ echo " go get -u github.com/boltdb/bolt/..."
+ echo ""
+ exit 1
+fi
+
+exec "$(go env GOPATH)/bin/bolt" $@ "$TEST_D/db.bolt"